﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OZX
{
    public interface IOzxMessage
    {
        string ID { get; set; }

        string FromConnection { get; set; }
        string FromAddress { get; set; }
        string FromStation { get; set; }

        string ToConnection { get; set; }
        string ToAddress { get; set; }
        string ToStation { get; set; }

        string Text { get; set; }

        DateTime CreateDate { get; set; }
        DateTime ValidUntil { get; set; }
        DateTime TimeToSend { get; set; }

        bool IsSubmitReportRequested { get; set; }
        bool IsDeliveryReportRequested { get; set; }
        bool IsViewReportRequested { get; set; }

        Dictionary<string, string> GetTags();

        void AddTag(string key, string value);

    }
}
